import * as i0 from "@angular/core";
export type InputChatState = 'default' | 'disabled';
export type InputChatLoaderType = 'ia-loader' | 'normal-loader';
export type InputChatHelperVariant = 'default' | 'danger' | 'warning' | 'success' | 'info';
export declare class InputChatComponent {
    readonly state: import("@angular/core").InputSignal<InputChatState>;
    readonly loaderType: import("@angular/core").InputSignal<InputChatLoaderType>;
    readonly placeholder: import("@angular/core").InputSignal<string>;
    readonly value: import("@angular/core").InputSignal<string>;
    readonly helperText: import("@angular/core").InputSignal<string>;
    readonly helperVariant: import("@angular/core").InputSignal<InputChatHelperVariant>;
    readonly showHelperText: import("@angular/core").InputSignal<boolean>;
    readonly valueChange: import("@angular/core").OutputEmitterRef<string>;
    readonly sendClicked: import("@angular/core").OutputEmitterRef<void>;
    readonly stopClicked: import("@angular/core").OutputEmitterRef<void>;
    readonly isDisabled: import("@angular/core").Signal<boolean>;
    readonly isProgress: import("@angular/core").Signal<boolean>;
    readonly isStop: import("@angular/core").Signal<boolean>;
    private readonly _internalValue;
    private readonly _textareaRef;
    private readonly _syncValue;
    private static readonly MAX_HEIGHT;
    private readonly _resizeEffect;
    readonly isFilled: import("@angular/core").Signal<boolean>;
    readonly fieldClasses: import("@angular/core").Signal<string>;
    readonly actionIcon: import("@angular/core").Signal<"square-fill" | "paperplanetilt-regular">;
    readonly actionVariant: import("@angular/core").Signal<"primary" | "secondary">;
    readonly actionDisabled: import("@angular/core").Signal<boolean>;
    onInput(event: Event): void;
    onEnterKey(event: Event): void;
    onActionClick(): void;
    private _clearAndFocus;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputChatComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputChatComponent, "lib-input-chat", never, { "state": { "alias": "state"; "required": false; "isSignal": true; }; "loaderType": { "alias": "loaderType"; "required": false; "isSignal": true; }; "placeholder": { "alias": "placeholder"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "helperText": { "alias": "helperText"; "required": false; "isSignal": true; }; "helperVariant": { "alias": "helperVariant"; "required": false; "isSignal": true; }; "showHelperText": { "alias": "showHelperText"; "required": false; "isSignal": true; }; }, { "valueChange": "valueChange"; "sendClicked": "sendClicked"; "stopClicked": "stopClicked"; }, never, never, true, never>;
}
